Method: organizations.appgroups.balance.adjust

Adjust the prepaid balance for the AppGroup.

This API will be used in scenarios where the AppGroup has been under-charged or over-charged.

HTTP request

POST https://apigee.googleapis.com/v1/{name=organizations/*/appgroups/*/balance}:adjust

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Account balance for the AppGroup. Use the following structure in your request: organizations/{org}/appgroups/{appGroup}/balance

Authorization requires the following IAM permission on the specified resource name:

  • apigee.appgroupbalances.adjust

Request body

The request body contains data with the following structure:

JSON representation
{
  "adjustment": {
    object (Money)
  }
}
Fields
adjustment

object (Money)

Required. * A positive value of adjustment means that that the API provider wants to adjust the balance for an under-charged AppGroup i.e. the balance of the AppGroup will decrease. * A negative value of adjustment is not supported. Use credit balance API instead.

Response body

If successful, the response body contains an instance of AppGroupBalance.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform